Page MenuHomePhabricator

SmashPig tasks which read from pending queue should compare to pending db
Closed, ResolvedPublic2 Story Points

Description

Just like T140484, but for SmashPig tasks.

PaymentProviders\Adyen\Jobs\ProcessCaptureRequestJob
PaymentProviders\Adyen\Jobs\RecordCaptureJob

Details

Related Gerrit Patches:
wikimedia/fundraising/SmashPig : masterRemove some unused message fields
wikimedia/fundraising/SmashPig : masterOnly compare pending fields with values
wikimedia/fundraising/SmashPig : masterUse factory method instead of constructor for job
wikimedia/fundraising/SmashPig : masterCompare pending db/queue in Adyen RecordCaptureJob
wikimedia/fundraising/SmashPig : masterUpdate pending db to match queue in Adyen capture job
wikimedia/fundraising/SmashPig : masterCompare pending db and queue in Adyen capture job

Event Timeline

Ejegg created this task.Jul 20 2016, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2016, 10:52 PM

Change 301026 had a related patch set uploaded (by Ejegg):
Compare pending db and queue in Adyen capture job

https://gerrit.wikimedia.org/r/301026

Ejegg claimed this task.Jul 25 2016, 11:53 PM
Ejegg set the point value for this task to 1.

Change 301145 had a related patch set uploaded (by Ejegg):
WIP compare pending db/queue in RecordCaptureJob

https://gerrit.wikimedia.org/r/301145

Change 301166 had a related patch set uploaded (by Ejegg):
Update pending db to match queue in Adyen capture job

https://gerrit.wikimedia.org/r/301166

Change 301026 merged by jenkins-bot:
Compare pending db and queue in Adyen capture job

https://gerrit.wikimedia.org/r/301026

DStrine changed the point value for this task from 1 to 2.Jul 29 2016, 8:24 PM

Change 301166 merged by jenkins-bot:
Update pending db to match queue in Adyen capture job

https://gerrit.wikimedia.org/r/301166

Change 301145 merged by jenkins-bot:
Compare pending db/queue in Adyen RecordCaptureJob

https://gerrit.wikimedia.org/r/301145

Change 303862 had a related patch set uploaded (by Ejegg):
Use factory method instead of constructor for job

https://gerrit.wikimedia.org/r/303862

Change 303862 merged by jenkins-bot:
Use factory method instead of constructor for job

https://gerrit.wikimedia.org/r/303862

Change 304289 had a related patch set uploaded (by Ejegg):
Remove some unused message fields

https://gerrit.wikimedia.org/r/304289

Change 304293 had a related patch set uploaded (by Ejegg):
Only compare pending fields with values

https://gerrit.wikimedia.org/r/304293

Change 304293 merged by jenkins-bot:
Only compare pending fields with values

https://gerrit.wikimedia.org/r/304293

Ejegg closed this task as Resolved.Aug 17 2016, 6:01 PM

Change 304289 merged by jenkins-bot:
Remove some unused message fields

https://gerrit.wikimedia.org/r/304289